    # -*- mode: ruby -*-
    # vi: set ft=ruby :
    Vagrant.configure("2") do |config|
      config.vm.provision "shell", inline: "apt-get update" # execute pour chacune des machines
     
      config.vm.define "srv1" do |srv1|#VM No'1
        srv1.vm.box = "debian/bookworm64" #Setting machine type
        srv1.vm.hostname = "srv1" #Setting machine type
        srv1.vm.network "public_network", ip: "192.168.0.111"#Set static IP
        srv1.vm.provision "shell", inline: <<-SHELL
         timedatectl set-timezone Europe/Paris
         apt-get install -y wget curl vim unzip apache2
         echo "192.168.0.112 srv2" >> /etc/hosts
       SHELL
      end
     
      config.vm.define "srv2" do |srv2|# VM No2
        srv2.vm.box = "debian/bookworm64" #Setting machine type
        srv2.vm.hostname = "srv2" #Setting machine type
        srv2.vm.network "public_network", ip: "192.168.0.112"  #Set static IP
        srv2.vm.provision "shell", inline: <<-SHELL
         timedatectl set-timezone Europe/Paris
         apt-get install -y wget curl vim unzip apache2
         echo "192.168.0.111 srv1" >> /etc/hosts
        SHELL
      end
    end

